*Top cell simulation 

.include hbt3_dg_t70.cir
.include adrt_tolizhao.spi
.include adrt_tolizhao.ic.spice3

*************************************************************
* EXTERNAL load
*************************************************************

Vclk    CLKAIN   0         SIN(0.0 0.5 1e9  80ps  0.0)
Vclkb   0        CLKAINB   SIN(0.0 0.5 1e9  80ps  0.0)

Vclkd    CLKDIN   0         SIN(0.0 0.5 1e9  10ps  0.0)
Vclkdb   0        CLKDINB   SIN(0.0 0.5 1e9  10ps  0.0)

*************************************************************
* extra clock for middle comparator,COMP_BC1 and COMP_BC2,
* which was CKBP and CKBN 
*************************************************************

Vin   ADCIN  COM  pwl
+ 0.0ps  0.0 700ps 0.0 32.7n 0.5 64.7n 0.0
+ 96.7n -0.5 128.7n 0

Vinb  COM  ADCINB pwl
+ 0.0ps  0.0 700ps 0.0 32.7n 0.5 64.7n 0.0
+ 96.7n -0.5 128.7n 0

VCOM  COM  0  2

VEEA  VEEA  0  -5.2V
VGNDA GNDA  0 0.0V

VEEC  VEEC  0 -5.2V
VEED  VEED  0 -5.2V

VGNDD GNDD  0 0.0V

VEEM  VEEM  0 -5.2V
VGNDM GNDM  0 0.0V

*VEED1 VEED1 0 -5.2V
VEEDA VEEDA 0 -5.2V
VGNDDA GNDDA 0 0.0
*VGNDB GNDB  0  0.0

VEEO  VEEO  0 -5.2V
VGNDO GNDO  0 0.0V

V2IA  V2IA  0 2.0V
V2ID  V2ID  0 2.0V

VCC VCC 0 5V

VCS0IN CS0IN 0 0V
VCS2IN CS2IN 0 0V
VCS3IN CS3IN 0 0V

Rdac  DACOUT  VCC 25
Rdacb DACOUTB VCC 25

*** Modified for SPICE3
.tran 0.2n 128.7n
*.op
.print tran V(DA_5_,DAB_5_) V(DA_4_,DAB_4_) V(DA_3_,DAB_3_) V(DA_2_,DAB_2_) V(DA_1_,DAB_1_) V(DA_0_,DAB_0_)
.print tran V(DACOUT) V(DACOUTB)
.option acct gmin=1e-10 method=gear TEMP=70 TNOM=70
.option reltol=1e-3 abstol=1e-8 vntol=1e-4 chgtol=1e-10
.end

